Skip to content

Get File Tier 4

GET/api/files/:idCopied!

Returns a single file.

Request

Path

idstringrequired
File ID

Response

Returns 200 OK.

dataobject
File
data.idstring
File ID

Example: 8fe89e5a-1d8f-4302-8437-fb0390ecf8eb

data.namestring
File name

Example: launch-cut.mp4

data.descriptionstring?
File description

Example: Final review upload

data.modestring
File source mode

Possible values: LOCALYOUTUBE

Example: LOCAL

data.mimeTypestring?
MIME type

Example: video/mp4

data.statusstring
Upload status

Possible values: UPLOADINGUPLOADEDFAILED

Example: UPLOADED

data.tagstring
Review tag

Possible values: IN_PROGRESSNEED_REVIEWNEED_EDITON_HOLDAPPROVEDREJECTEDCLOSED

Example: NEED_REVIEW

data.sizenumber
File size in bytes

Example: 82415032

data.allowRestrictedboolean
Whether restricted reviewers can access the file

Example: true

data.ordernumber
Display order

Example: 1

data.projectobject
Parent project
data.project.idstring
Parent project ID

Example: bdbff5de-96d7-468f-9db0-85fe28bd6b62

data.folderobject?
Parent folder, or `null` when the file is at the project root
data.folder.idstring
Parent folder ID

Example: 4da45fd7-207c-47e7-b7d0-d711a565a901

Example

bash
curl 'https://api.youvico.com/api/files/8fe89e5a-1d8f-4302-8437-fb0390ecf8eb' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": {
    "id": "8fe89e5a-1d8f-4302-8437-fb0390ecf8eb",
    "name": "launch-cut.mp4",
    "description": "Final review upload",
    "mode": "LOCAL",
    "mimeType": "video/mp4",
    "status": "UPLOADED",
    "tag": "NEED_REVIEW",
    "size": 82415032,
    "allowRestricted": true,
    "order": 1,
    "project": {
      "id": "bdbff5de-96d7-468f-9db0-85fe28bd6b62"
    },
    "folder": {
      "id": "4da45fd7-207c-47e7-b7d0-d711a565a901"
    }
  }
}